Summary:	NetworkManager VPN integration for libreswan
Summary(pl.UTF-8):	Integracja NetworkManagera z libreswan
Name:		NetworkManager-libreswan
Version:	1.2.6
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/NetworkManager-libreswan/1.2/%{name}-%{version}.tar.xz
# Source0-md5:	3c2113f0b1cdb540b4eda243ed10459d
URL:		https://wiki.gnome.org/Projects/NetworkManager
BuildRequires:	NetworkManager-devel >= 2:1.2.0
BuildRequires:	NetworkManager-gtk-lib-devel >= 1.2.0
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.32
BuildRequires:	gtk+3-devel >= 3.4.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libnl-devel >= 1:3.2.8
BuildRequires:	libsecret-devel >= 0.18
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	NetworkManager >= 2:1.2.0
Requires:	NetworkManager-gtk-lib >= 1.2.0
Requires:	glib2 >= 1:2.32
Requires:	gtk+3 >= 3.4.0
Requires:	libnl >= 1:3.2.8
Requires:	libsecret >= 0.18
Provides:	NetworkManager-openswan = %{version}-%{release}
Obsoletes:	NetworkManager-openswan < 1.2.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NetworkManager VPN integration for libreswan.

%description -l pl.UTF-8
Integracja NetworkManagera z libreswan.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-more-warnings \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/NetworkManager/*.la

%find_lang NetworkManager-libreswan

%clean
rm -rf $RPM_BUILD_ROOT

%files -f NetworkManager-libreswan.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/NetworkManager/libnm-libreswan-properties.so
%attr(755,root,root) %{_libdir}/NetworkManager/libnm-vpn-plugin-libreswan.so
%attr(755,root,root) %{_libdir}/NetworkManager/libnm-vpn-plugin-libreswan-editor.so
%attr(755,root,root) %{_libdir}/nm-libreswan-auth-dialog
%attr(755,root,root) %{_libdir}/nm-libreswan-service
%attr(755,root,root) %{_libdir}/nm-libreswan-service-helper
%{_prefix}/lib/NetworkManager/VPN/nm-libreswan-service.name
%{_sysconfdir}/NetworkManager/VPN/nm-libreswan-service.name
%config(noreplace) %verify(not md5 mtime size) /etc/dbus-1/system.d/nm-libreswan-service.conf
%{_datadir}/appdata/network-manager-libreswan.metainfo.xml
%dir %{_datadir}/gnome-vpn-properties/libreswan
%{_datadir}/gnome-vpn-properties/libreswan/nm-libreswan-dialog.ui
%changelog
* Fri Jan 27 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/NetworkManager-libreswan.git;a=log;h=master

* Fri Jan 27 2017 Jakub Bogusz <qboosh@pld-linux.org> cae0eff
- updated to 1.2.6

* Mon Aug 01 2016 Jakub Bogusz <qboosh@pld-linux.org> dfc3c2e
- prefers libsecret stable API (0.18+)

* Tue Jul 05 2016 Marcin Banasiak <marcin.banasiak@gmail.com> e0fae54
- Update to 1.2.4

* Tue Jun 21 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 58ade3a
- Fix path to configuration file

* Mon Jun 20 2016 Marcin Banasiak <marcin.banasiak@gmail.com> d50c0c8
- Renamed to NetworkManager-libreswan and updated to 1.2.2

* Fri Nov 27 2015 Jakub Bogusz <qboosh@pld-linux.org> 1bd3d67
- updated to 1.0.8

* Sat Nov 14 2015 Jakub Bogusz <qboosh@pld-linux.org> d673b17
- updated URL

* Sun Aug 30 2015 Łukasz Kieś <kiesiu@pld-linux.org> 42e0838
- updated to 1.0.6

* Fri May 08 2015 Jakub Bogusz <qboosh@pld-linux.org> 702c327
- updated to 1.0.2

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> c698ce1
- updated gettext BR

* Fri Dec 26 2014 Jakub Bogusz <qboosh@pld-linux.org> f796d3f
- versioned install time dependencies, epochs

* Sun Dec 21 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 8c7de52
- Update to 1.0.0

* Sun Sep 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 6c5c730
- updated to 0.9.8.4

* Thu Feb 21 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 895625c
- Update to 0.9.8.0

* Tue Aug 28 2012 Jakub Bogusz <qboosh@pld-linux.org> f5b6224
- updated to 0.9.6.0

* Fri Nov 11 2011 Marcin Banasiak <marcin.banasiak@gmail.com> c2b7e02
- updated to 0.9.2.0

* Tue Nov 01 2011 Jakub Bogusz <qboosh@pld-linux.org> 770e22d
- new

